package com.prolog.cs.biz.inbound.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-11-19
 */

@ApiModel
@Table(value = "incoming_record_h", appendDefaultJdbcType = true, camelToUnderline = true)
public class IncomingRecordH implements Serializable {
	private static final long serialVersionUID = 5958305350431815211L;

	@ApiModelProperty(value = "ID标识")
	private String billid;

	@ApiModelProperty(value = "入库单号")
	private String billno;

	@ApiModelProperty(value = "入库单类型")
	private String billtype;

	@ApiModelProperty(value = "仓库ID")
	private String branchid;

	@ApiModelProperty(value = "仓库编号")
	private String branchcode;

	@ApiModelProperty(value = "仓库名称")
	private String branchname;

	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	@ApiModelProperty(value = "货主据号")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	@ApiModelProperty(value = "货主单据号")
	private String consignorBillNo;

	@ApiModelProperty(value = "关联业务单类型")
	private String refbilltype;

	@ApiModelProperty(value = "关联业务单ID")
	private String refbillid;

	@ApiModelProperty(value = "关联业务单编号")
	private String refbillcode;

	@ApiModelProperty(value = "业务部门编号")
	private String purorgId;

	@ApiModelProperty(value = "业务部门名称")
	private String purorgName;

	@ApiModelProperty(value = "采购员ID")
	private String buyerId;

	@ApiModelProperty(value = "采购员姓名")
	private String buyerName;

	@ApiModelProperty(value = "发货单位类型")
	private String shipperType;

	@ApiModelProperty(value = "发货单位ID")
	private String shipperid;

	@ApiModelProperty(value = "发货单位编号")
	private String shippercode;

	@ApiModelProperty(value = "发货单位名称")
	private String shippername;

	@ApiModelProperty(value = "收货地址")
	private String arriveAddress;

	@ApiModelProperty(value = "供应商ID")
	private String vendorid;

	@ApiModelProperty(value = "供应商编号")
	private String vendorcode;

	@ApiModelProperty(value = "供应商名称")
	private String vendorname;

	@ApiModelProperty(value = "供应商随货同行单号")
	private String accGoodsBillNo;

	@ApiModelProperty(value = "供应商单号")
	private String vpoNo;

	@ApiModelProperty(value = "供应商接受日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date vendorReceiveDate;

	@ApiModelProperty(value = "供应商地址")
	private String vendorAddress;

	@ApiModelProperty(value = "关联采购单号")
	private String refbillno;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totpcs;

	@ApiModelProperty(value = "总量")
	private BigDecimal totqty;

	@ApiModelProperty(value = "总未税金额")
	private BigDecimal totnetamt;

	@ApiModelProperty(value = "总含税金额")
	private BigDecimal totamt;

	@ApiModelProperty(value = "制单日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date operatedate;

	@ApiModelProperty(value = "录入员")
	private String operator;

	@ApiModelProperty(value = "审核员")
	private String confirmer;

	@ApiModelProperty(value = "质检员")
	private String qtoperator;

	@ApiModelProperty(value = "质检员2")
	private String qtoperator2;

	@ApiModelProperty(value = "收货员1")
	private String rcvoperator;

	@ApiModelProperty(value = "收货员2")
	private String rcvoperator2;

	@ApiModelProperty(value = "到货时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date arrivedate;

	@ApiModelProperty(value = "收货时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rcvfromdate;

	@ApiModelProperty(value = "验收时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date qcdate;

	@ApiModelProperty(value = "账期类型")
	private String paymentdaytype;

	@ApiModelProperty(value = "移库操作员编码")
	private String transferoperatorid;

	@ApiModelProperty(value = "移库操作员名称")
	private String transferoperatorname;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "字符扩展属性1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3")
	private String attrStr3;

	@ApiModelProperty(value = "字符扩展属性4")
	private String attrStr4;

	@ApiModelProperty(value = "字符扩展属性5")
	private String attrStr5;

	@ApiModelProperty(value = "字符扩展属性6")
	private String attrStr6;

	@ApiModelProperty(value = "字符扩展属性7")
	private String attrStr7;

	@ApiModelProperty(value = "字符扩展属性8")
	private String attrStr8;

	@ApiModelProperty(value = "字符扩展属性9")
	private String attrStr9;

	@ApiModelProperty(value = "字符扩展属性10")
	private String attrStr10;

	@ApiModelProperty(value = "回传失败次数")
	private BigDecimal attrNum1;

	@ApiModelProperty(value = "数字扩展属性2")
	private BigDecimal attrNum2;

	@ApiModelProperty(value = "数字扩展属性3")
	private BigDecimal attrNum3;

	@ApiModelProperty(value = "数字扩展属性4")
	private BigDecimal attrNum4;

	@ApiModelProperty(value = "数字扩展属性5")
	private BigDecimal attrNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte1;

	@ApiModelProperty(value = "日期属性扩展2")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte2;

	@ApiModelProperty(value = "日期属性扩展3")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte3;

	@ApiModelProperty(value = "日期属性扩展4")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte4;

	@ApiModelProperty(value = "日期属性扩展5")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte5;

	@ApiModelProperty(value = "录入员")
	private String createby;

	@ApiModelProperty(value = "录入时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	private String pEnterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String pEnterprisename;

	@ApiModelProperty(value = "数据来源(1ERP 2OMS 3WMS 4SAP)")
	private String datasource;

	@ApiModelProperty(value = "建筑物")
	private String building;

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return this.billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getConsignorBillNo() {
		return this.consignorBillNo;
	}

	public void setConsignorBillNo(String consignorBillNo) {
		this.consignorBillNo = consignorBillNo;
	}

	public String getRefbilltype() {
		return this.refbilltype;
	}

	public void setRefbilltype(String refbilltype) {
		this.refbilltype = refbilltype;
	}

	public String getRefbillid() {
		return this.refbillid;
	}

	public void setRefbillid(String refbillid) {
		this.refbillid = refbillid;
	}

	public String getRefbillcode() {
		return this.refbillcode;
	}

	public void setRefbillcode(String refbillcode) {
		this.refbillcode = refbillcode;
	}

	public String getPurorgId() {
		return this.purorgId;
	}

	public void setPurorgId(String purorgId) {
		this.purorgId = purorgId;
	}

	public String getPurorgName() {
		return this.purorgName;
	}

	public void setPurorgName(String purorgName) {
		this.purorgName = purorgName;
	}

	public String getBuyerId() {
		return this.buyerId;
	}

	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}

	public String getBuyerName() {
		return this.buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getShipperType() {
		return this.shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public String getShipperid() {
		return this.shipperid;
	}

	public void setShipperid(String shipperid) {
		this.shipperid = shipperid;
	}

	public String getShippercode() {
		return this.shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public String getShippername() {
		return this.shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getArriveAddress() {
		return this.arriveAddress;
	}

	public void setArriveAddress(String arriveAddress) {
		this.arriveAddress = arriveAddress;
	}

	public String getVendorid() {
		return this.vendorid;
	}

	public void setVendorid(String vendorid) {
		this.vendorid = vendorid;
	}

	public String getVendorcode() {
		return this.vendorcode;
	}

	public void setVendorcode(String vendorcode) {
		this.vendorcode = vendorcode;
	}

	public String getVendorname() {
		return this.vendorname;
	}

	public void setVendorname(String vendorname) {
		this.vendorname = vendorname;
	}

	public String getAccGoodsBillNo() {
		return this.accGoodsBillNo;
	}

	public void setAccGoodsBillNo(String accGoodsBillNo) {
		this.accGoodsBillNo = accGoodsBillNo;
	}

	public String getVpoNo() {
		return this.vpoNo;
	}

	public void setVpoNo(String vpoNo) {
		this.vpoNo = vpoNo;
	}

	public Date getVendorReceiveDate() {
		return this.vendorReceiveDate;
	}

	public void setVendorReceiveDate(Date vendorReceiveDate) {
		this.vendorReceiveDate = vendorReceiveDate;
	}

	public String getVendorAddress() {
		return this.vendorAddress;
	}

	public void setVendorAddress(String vendorAddress) {
		this.vendorAddress = vendorAddress;
	}

	public String getRefbillno() {
		return this.refbillno;
	}

	public void setRefbillno(String refbillno) {
		this.refbillno = refbillno;
	}

	public BigDecimal getTotpcs() {
		return this.totpcs;
	}

	public void setTotpcs(BigDecimal totpcs) {
		this.totpcs = totpcs;
	}

	public BigDecimal getTotqty() {
		return this.totqty;
	}

	public void setTotqty(BigDecimal totqty) {
		this.totqty = totqty;
	}

	public BigDecimal getTotnetamt() {
		return this.totnetamt;
	}

	public void setTotnetamt(BigDecimal totnetamt) {
		this.totnetamt = totnetamt;
	}

	public BigDecimal getTotamt() {
		return this.totamt;
	}

	public void setTotamt(BigDecimal totamt) {
		this.totamt = totamt;
	}

	public Date getOperatedate() {
		return this.operatedate;
	}

	public void setOperatedate(Date operatedate) {
		this.operatedate = operatedate;
	}

	public String getOperator() {
		return this.operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getConfirmer() {
		return this.confirmer;
	}

	public void setConfirmer(String confirmer) {
		this.confirmer = confirmer;
	}

	public String getQtoperator() {
		return this.qtoperator;
	}

	public void setQtoperator(String qtoperator) {
		this.qtoperator = qtoperator;
	}

	public String getQtoperator2() {
		return this.qtoperator2;
	}

	public void setQtoperator2(String qtoperator2) {
		this.qtoperator2 = qtoperator2;
	}

	public String getRcvoperator() {
		return this.rcvoperator;
	}

	public void setRcvoperator(String rcvoperator) {
		this.rcvoperator = rcvoperator;
	}

	public String getRcvoperator2() {
		return this.rcvoperator2;
	}

	public void setRcvoperator2(String rcvoperator2) {
		this.rcvoperator2 = rcvoperator2;
	}

	public Date getArrivedate() {
		return this.arrivedate;
	}

	public void setArrivedate(Date arrivedate) {
		this.arrivedate = arrivedate;
	}

	public Date getRcvfromdate() {
		return this.rcvfromdate;
	}

	public void setRcvfromdate(Date rcvfromdate) {
		this.rcvfromdate = rcvfromdate;
	}

	public Date getQcdate() {
		return this.qcdate;
	}

	public void setQcdate(Date qcdate) {
		this.qcdate = qcdate;
	}

	public String getPaymentdaytype() {
		return this.paymentdaytype;
	}

	public void setPaymentdaytype(String paymentdaytype) {
		this.paymentdaytype = paymentdaytype;
	}

	public String getTransferoperatorid() {
		return this.transferoperatorid;
	}

	public void setTransferoperatorid(String transferoperatorid) {
		this.transferoperatorid = transferoperatorid;
	}

	public String getTransferoperatorname() {
		return this.transferoperatorname;
	}

	public void setTransferoperatorname(String transferoperatorname) {
		this.transferoperatorname = transferoperatorname;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return this.attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return this.attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return this.attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return this.attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return this.attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public BigDecimal getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(BigDecimal attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public BigDecimal getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(BigDecimal attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public BigDecimal getAttrNum3() {
		return this.attrNum3;
	}

	public void setAttrNum3(BigDecimal attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public BigDecimal getAttrNum4() {
		return this.attrNum4;
	}

	public void setAttrNum4(BigDecimal attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public BigDecimal getAttrNum5() {
		return this.attrNum5;
	}

	public void setAttrNum5(BigDecimal attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return this.attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return this.attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return this.attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getPEnterpriseid() {
		return this.pEnterpriseid;
	}

	public void setPEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getPEnterprisename() {
		return this.pEnterprisename;
	}

	public void setPEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public String getDatasource() {
		return this.datasource;
	}

	public void setDatasource(String datasource) {
		this.datasource = datasource;
	}

	public String getBuilding() {
		return this.building;
	}

	public void setBuilding(String building) {
		this.building = building;
	}

}
